Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022901
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformmajoralways2013-01-26 16:202013-02-01 22:29
ReporterdbazView Statuspublic 
Assigned Todbaz 
PriorityhighResolutionfixedFixed in Version3.0MP20
StatusclosedFix in branchFixed in SCM revisionef2e15e1a780
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomtaal
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022901: Add "clientClass" field to QueryList widget and standarize its definition way

DescriptionCurrently regular windows have defined a "clientClass" attribute that lets them render a canvas in a cell in the grid view. The widget to render will be the one defined in the "clientClass".

The idea is do the same in QueryList widget "Query -> Column" definition.

Right now for OBGrid (used by QuertList, AlertGrid, P%E, ...) there is only a "isLink" attribute that let introduce a canvas that shows a link that emulates a "cellClick". The idea is maintain it for backward compatibility purposes, but also add the "clientClass" implementation for all grids.

Also, since OBGridView implements its own "clientClass" handler, it should be moved (and extended) to OBGrid to let all grids use it in the same way.
Steps To ReproduceSee the comments.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 00191223.0MP6 closedmtaal Support calculated fields 
related to feature request 0022902 closeddbaz Create a "Print" link button to be used within QueryList widget 

-  Notes
(0055879)
dbaz (developer)
2013-01-26 16:29
edited on: 2013-01-26 16:48

Risk: medium


1) Test that previous canvas in grid are still working ok:

As "Openbravo Admin"
* Go to "Sales Order"
* Notice that the latest grid columns "Delivery Status" and "Invoice Status" are still shown as before. Play also with add row/new row and ensure that the look and feel is the same than before

As "Openbravo Admin"
* Go to "Return from customer"
* Create new header
* Click "Pick/Edit Lines"
* Add any line with any value
* Notice that the columns "Returned Quantity", "Received Quantity", "Invoiced Quantity", "Line Net Amout" colums are still shown as before.

As "Openbravo Admin"
* Go to "Alert Management" window
* Ensure that grid links are shown and works as before

As "Openbravo Admin"
* Add "Invoices to collect" widget
* Ensure that links are shown and works as before


2) Test that "clientClass" field in "Widget -> Query -> Column" works

As "System Administrator"
* Go to "Widget" window
* Select record with "Widget Title": "Invoices to collect"
* Go to "Query" subtab
* Go to "Column" subtab
* Go to record "Amount" and add "OBAddPercentageSign" in the "Clientclass" input. Save
* Go to record "Currency" and add "OBAddPercentageSign" in the "Clientclass" input. Save

As "Openbravo Admin"
* Add "Invoices to collect" widget
* Ensure that "Amount" and "Currency" columns show the "%" sign in the text

(0055881)
hgbot (developer)
2013-01-26 21:53

Repository: erp/devel/pi
Changeset: ef2e15e1a780d66ea054d5af701f734bab11343a
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Sat Jan 26 17:16:16 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ef2e15e1a780d66ea054d5af701f734bab11343a [^]

Fixed issue 22901: Added 'clientClass' to OBGrid
to let use canvas based items in grids

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/alert-management/ob-alert-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-canvas.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.querylist/src-db/database/model/tables/OBCQL_QUERY_COLUMN.xml
M modules/org.openbravo.client.querylist/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.client.querylist/src-db/database/sourcedata/AD_FIELD.xml
M modules/org.openbravo.client.querylist/src/org/openbravo/client/querylist/QueryListComponentProvider.java
M modules/org.openbravo.client.querylist/src/org/openbravo/client/querylist/QueryListUtils.java
M modules/org.openbravo.client.querylist/web/org.openbravo.client.querylist/js/ob-querylist-widget.js
A modules/org.openbravo.client.querylist/web/org.openbravo.client.querylist/js/ob-querylist-canvas-item.js
---
(0055883)
hgbot (developer)
2013-01-27 00:41

Repository: erp/devel/pi
Changeset: 16eca807e2a34fdac151926a35fb16676fc663e2
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Sun Jan 27 00:38:37 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/16eca807e2a34fdac151926a35fb16676fc663e2 [^]

Related to issue 22901: Added a way to define in the own widget
if it should be displayed or not if the row is in edit mode

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
---
(0055884)
hgbot (developer)
2013-01-27 00:56

Repository: erp/devel/pi
Changeset: 8215f88cf6811e569c226de47ae913442d5832d7
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Sun Jan 27 00:55:42 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/8215f88cf6811e569c226de47ae913442d5832d7 [^]

Related to issue 22901: Changed var name

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
---
(0055886)
hudsonbot (developer)
2013-01-27 11:34

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b271be20db9 [^]

Maturity status: Test
(0055888)
hudsonbot (developer)
2013-01-27 11:34

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b271be20db9 [^]

Maturity status: Test
(0055889)
hudsonbot (developer)
2013-01-27 11:34

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b271be20db9 [^]

Maturity status: Test
(0055893)
mtaal (developer)
2013-01-28 09:42

Reviewed
(0056032)
hgbot (developer)
2013-01-31 22:52

Repository: erp/devel/pi
Changeset: f16520f2d3f1466dbae4afdbc0fe93e414dde841
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Thu Jan 31 22:51:46 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f16520f2d3f1466dbae4afdbc0fe93e414dde841 [^]

Related to issue 22901: Improved clientClass properties settings

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-canvas.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities.js
---
(0056105)
hudsonbot (developer)
2013-02-01 22:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b070aa80fc76 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-01-26 16:20 dbaz New Issue
2013-01-26 16:20 dbaz Assigned To => dbaz
2013-01-26 16:20 dbaz Modules => Core
2013-01-26 16:20 dbaz Triggers an Emergency Pack => No
2013-01-26 16:21 dbaz Relationship added related to 0019122
2013-01-26 16:29 dbaz Note Added: 0055879
2013-01-26 16:47 dbaz Note Edited: 0055879 View Revisions
2013-01-26 16:48 dbaz Note Edited: 0055879 View Revisions
2013-01-26 17:40 dbaz Relationship added related to 0022902
2013-01-26 21:52 dbaz Review Assigned To => mtaal
2013-01-26 21:53 hgbot Checkin
2013-01-26 21:53 hgbot Note Added: 0055881
2013-01-26 21:53 hgbot Status new => resolved
2013-01-26 21:53 hgbot Resolution open => fixed
2013-01-26 21:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ef2e15e1a780d66ea054d5af701f734bab11343a [^]
2013-01-27 00:41 hgbot Checkin
2013-01-27 00:41 hgbot Note Added: 0055883
2013-01-27 00:56 hgbot Checkin
2013-01-27 00:56 hgbot Note Added: 0055884
2013-01-27 11:34 hudsonbot Checkin
2013-01-27 11:34 hudsonbot Note Added: 0055886
2013-01-27 11:34 hudsonbot Checkin
2013-01-27 11:34 hudsonbot Note Added: 0055888
2013-01-27 11:34 hudsonbot Checkin
2013-01-27 11:34 hudsonbot Note Added: 0055889
2013-01-28 09:42 mtaal Note Added: 0055893
2013-01-28 09:42 mtaal Status resolved => closed
2013-01-28 09:42 mtaal Fixed in Version => 3.0MP20
2013-01-31 22:52 hgbot Checkin
2013-01-31 22:52 hgbot Note Added: 0056032
2013-02-01 22:29 hudsonbot Checkin
2013-02-01 22:29 hudsonbot Note Added: 0056105


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker